<?php include 'views/header.php'; ?>
<div class="container-div">
    <h2>Crear Producto</h2>
    <p>Por favor complete todos los campos para crear un nuevo producto</p>

    <form id="productoForm" class="productoForm">
        <div class="row align-items-start mb-4">
            <div class="col-md-8">
                <!-- Datos básicos -->
                <div class="card mb-3">
                    <div class="card-header">
                        <h5 class="mb-0">Datos básicos</h5>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <label for="nombre_es" class="form-label">Nombre (Español) <span class="text-danger">*</span></label>
                                <input type="text" class="form-control" id="nombre_es" name="nombre_es" required>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="nombre_en" class="form-label">Nombre (Inglés) <span class="text-danger">*</span></label>
                                <input type="text" class="form-control" id="nombre_en" name="nombre_en" required>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <label for="id_subcategoria" class="form-label">Subcategoría <span class="text-danger">*</span></label>
                                <select class="form-select" id="id_subcategoria" name="id_subcategoria" required>
                                    <option value="">Seleccione una subcategoría</option>
                                </select>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="sku" class="form-label">SKU <span class="text-danger">*</span></label>
                                <input type="text" class="form-control" id="sku" name="sku" required>
                            </div>
                        </div>

                        <div class="form-check mt-2">
                            <input class="form-check-input" type="checkbox" id="destacado" name="destacado" value="1">
                            <label class="form-check-label" for="destacado">Producto destacado</label>
                            <i class="fas fa-question-circle ms-1" data-bs-toggle="tooltip" title="Marcar como destacado para que aparezca en la página principal"></i>
                        </div>
                    </div>
                </div>

                <!-- Descripción -->
                <div class="card mb-3">
                    <div class="card-header">
                        <h5 class="mb-0">Descripción</h5>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6 mb-3" style="display: flex; flex-direction: column;">
                                <label for="descripcion_es" class="form-label">Descripción (Español)</label>
                                <textarea id="descripcion_es" name="descripcion_es" rows="4" cols="6"></textarea>
                            </div>
                            <div class="col-md-6 mb-3" style="display: flex; flex-direction: column;">
                                <label for="descripcion_en" class="form-label">Descripción (Inglés)</label>
                                <textarea id="descripcion_en" name="descripcion_en" rows="4" cols="6"></textarea>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Panel derecho con acciones y opciones -->
            <div class="col-md-4">
                <!-- Acciones -->
                <div class="card mb-3">
                    <div class="card-header">
                        <h5 class="mb-0">Acciones</h5>
                    </div>
                    <div class="card-body">
                        <button type="button" id="cancelar" class="btn btn-danger me-2">Cancelar</button>
                        <button type="button" id="guardar" class="btn btn-primary">Guardar</button>
                    </div>
                </div>

                <!-- Imágenes -->
                <div class="card mb-3">
                    <div class="card-header">
                        <h5 class="mb-0">Imágenes del Producto</h5>
                    </div>
                    <div class="card-body">
                        <div id="imagenesForm" class="dropzone-area">
                            <div class="dz-message">
                                <p>Arrastra y suelta imágenes aquí</p>
                                <p>o</p>
                                <p>haz clic para seleccionar</p>
                                <p class="dz-p">(Formatos permitidos: JPG, PNG, GIF. Tamaño máximo: 2MB)</p>
                            </div>
                        </div>
                        <input type="hidden" id="imagenes" name="imagenes">
                        <!-- Contenedor del carrusel para previsualizar imágenes -->
                        <div id="imagenesCarousel" class="carousel slide mt-3" data-bs-ride="carousel">
                            <div class="carousel-inner" id="carouselInner">
                                <!-- Los items se agregan dinámicamente -->
                            </div>
                            <button class="carousel-control-prev" type="button" data-bs-target="#imagenesCarousel" data-bs-slide="prev">
                                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                <span class="visually-hidden">Anterior</span>
                            </button>
                            <button class="carousel-control-next" type="button" data-bs-target="#imagenesCarousel" data-bs-slide="next">
                                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                <span class="visually-hidden">Siguiente</span>
                            </button>
                        </div>
                    </div>
                </div>

                <!-- PDF -->
                <div class="card mb-3">
                    <div class="card-header">
                        <h5 class="mb-0">PDF</h5>
                    </div>
                    <div class="card-body">
                        <div id="pdfForm" class="dropzone-area">
                            <div class="dz-message">
                                <p>Arrastra y suelta un archivo PDF aquí</p>
                                <p>o</p>
                                <p>haz clic para seleccionar</p>
                                <p class="dz-p">(Formato permitido: PDF. Tamaño máximo: 5MB)</p>
                            </div>
                        </div>
                        <input type="hidden" id="pdf" name="pdf">
                    </div>
                </div>

                <!-- AutoCAD -->
                <div class="card mb-3">
                    <div class="card-header">
                        <h5 class="mb-0">Archivo AutoCAD</h5>
                    </div>
                    <div class="card-body">
                        <div id="autocadForm" class="dropzone-area">
                            <div class="dz-message">
                                <p>Arrastra y suelta un archivo AutoCAD aquí</p>
                                <p>o</p>
                                <p>haz clic para seleccionar</p>
                                <p class="dz-p">(Formatos permitidos: DWG, DXF, DWF. Tamaño máximo: 10MB)</p>
                            </div>
                        </div>
                        <input type="hidden" id="autocard" name="autocard">
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>

<?php include 'views/footer.php'; ?>