<?php include 'views/header.php'; ?>
<div class="container-div">
    <h3 style="margin-bottom: 20px;">Bienvenido usuario: <b><?php echo htmlspecialchars($username) ?></b></h3>
    <div class="row">
        <div class="col-lg-3 col-6">
            <div class="small-box bg-info">
                <div class="inner">
                    <h3 id="totalCategorias">0</h3>
                    <p>Categorías</p>
                </div>
                <div class="icon">
                    <i class="fa-solid fa-list"></i>
                </div>
                <a href="categorias.php" class="small-box-footer">Más información <i class="fas fa-arrow-circle-right"></i></a>
            </div>
        </div>
        <div class="col-lg-3 col-6">
            <div class="small-box bg-success">
                <div class="inner">
                    <h3 id="totalSubcategorias">0</h3>
                    <p>Subcategorías</p>
                </div>
                <div class="icon">
                    <i class="fa-solid fa-tags"></i>
                </div>
                <a href="subcategorias.php" class="small-box-footer">Más información <i class="fas fa-arrow-circle-right"></i></a>
            </div>
        </div>
        <div class="col-lg-3 col-6">
            <div class="small-box bg-warning">
                <div class="inner">
                    <h3 id="totalProductos">0</h3>
                    <p>Productos</p>
                </div>
                <div class="icon">
                    <i class="fa-solid fa-box"></i>
                </div>
                <a href="productos.php" class="small-box-footer">Más información <i class="fas fa-arrow-circle-right"></i></a>
            </div>
        </div>
        <div class="col-lg-3 col-6">
            <div class="small-box bg-danger">
                <div class="inner">
                    <h3 id="totalUsuarios">0</h3>
                    <p>Usuarios Registrados</p>
                </div>
                <div class="icon">
                    <i class="fa-solid fa-users"></i>
                </div>
                <a href="usuarios.php" class="small-box-footer">Más información <i class="fas fa-arrow-circle-right"></i></a>
            </div>
        </div>
    </div>

    <!-- Gráficos -->
    <div class="row">
        <div class="col-lg-6">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">Distribución de Productos por Categoría</h3>
                </div>
                <div class="card-body">
                    <canvas id="categoriasChart"></canvas>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">Productos Destacados vs No Destacados</h3>
                </div>
                <div class="card-body">
                    <canvas id="destacadosChart"></canvas>
                </div>
            </div>
        </div>
    </div>

    <!-- Tabla de datos -->
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">Últimos Productos Agregados</h3>
                </div>
                <div class="card-body">
                    <table id="productosTable" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Nombre</th>
                                <th>SKU</th>
                                <th>Categoría</th>
                                <th>Subcategoría</th>
                                <th>Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include 'views/footer.php'; ?>