$(document).ready(function () {
    // Cargar estadísticas
    $.ajax({
        url: 'database/model/dashboard.php',
        type: 'POST',
        data: { action: 'getStats' },
        success: function (response) {
            const stats = JSON.parse(response);
            $('#totalCategorias').text(stats.totalCategorias);
            $('#totalSubcategorias').text(stats.totalSubcategorias);
            $('#totalProductos').text(stats.totalProductos);
            $('#totalUsuarios').text(stats.totalUsuarios);
        }
    });

    // Cargar gráfico de productos por categoría
    $.ajax({
        url: 'database/model/dashboard.php',
        type: 'POST',
        data: { action: 'getProductosByCategoria' },
        success: function (response) {
            const data = JSON.parse(response);
            const ctx = document.getElementById('categoriasChart').getContext('2d');
            new Chart(ctx, {
                type: 'pie',
                data: {
                    labels: data.labels,
                    datasets: [{
                        data: data.values,
                        backgroundColor: ['#78B159', '#737373', '#5e9344', '#4a4a4a', '#90c979', '#8b8b8b', '#a8d991']
                    }]
                }
            });
        }
    });

    // Cargar gráfico de productos destacados vs no destacados
    $.ajax({
        url: 'database/model/dashboard.php',
        type: 'POST',
        data: { action: 'getProductosDestacados' },
        success: function (response) {
            const data = JSON.parse(response);
            const ctx = document.getElementById('destacadosChart').getContext('2d');
            new Chart(ctx, {
                type: 'doughnut',
                data: {
                    labels: data.labels,
                    datasets: [{
                        label: 'Cantidad',
                        data: data.values,
                        backgroundColor: ['#737373', '#78B159']
                    }]
                }
            });
        }
    });

    // Cargar tabla de últimos productos
    $('#productosTable').DataTable({
        ajax: {
            url: 'database/model/dashboard.php',
            type: 'POST',
            data: { action: 'getLastProductos' },
            dataSrc: ''
        },
        columns: [
            {
                "data": null,
                "render": function (data, type, row, meta) {
                    return meta.row + 1;  // Contador
                }
            },
            { data: 'nombre' },
            { data: 'sku' },
            { data: 'categoria' },
            { data: 'subcategoria' },
            {
                data: null,
                render: function (data, type, row) {
                    return `<a href="productos.php?id=${row.id}" class="btn btn-primary btn-sm">Ver</a>`;
                }
            }
        ],
        "language": {
            "url": "https://cdn.datatables.net/plug-ins/1.11.5/i18n/es-ES.json"
        }
    });
});