<?php 
// php/uploadPdf.php
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    http_response_code(405);
    exit;
}

$uploadDir = __DIR__ . '/../pdf/productos/';

if (!is_dir($uploadDir)) {
    mkdir($uploadDir, 0775, true);
}

// Corregir para que coincida con lo que envía el Dropzone (plano en vez de pdfs)
if (!empty($_FILES['plano']['name'])) {
    // Verificar errores
    if ($_FILES['plano']['error'] !== UPLOAD_ERR_OK) {
        echo json_encode(['status' => 'error', 'message' => 'Error al subir el archivo']);
        exit;
    }
    
    // Verificar tipo de archivo
    $finfo = new finfo(FILEINFO_MIME_TYPE);
    $fileType = $finfo->file($_FILES['plano']['tmp_name']);
    
    if ($fileType !== 'application/pdf') {
        echo json_encode(['status' => 'error', 'message' => 'El archivo debe ser PDF']);
        exit;
    }
    
    // Verificar tamaño (5MB máximo)
    $maxSize = 5 * 1024 * 1024; // 5MB en bytes
    if ($_FILES['plano']['size'] > $maxSize) {
        echo json_encode(['status' => 'error', 'message' => 'El archivo es demasiado grande']);
        exit;
    }
    
    // Generar nombre único para el archivo
    $filename = uniqid() . '_' . basename($_FILES['plano']['name']);
    $targetFile = $uploadDir . $filename;
    
    // Mover el archivo
    if (move_uploaded_file($_FILES['plano']['tmp_name'], $targetFile)) {
        echo json_encode(['status' => 'success', 'filename' => $filename]);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'No se pudo guardar el archivo']);
    }
} else {
    echo json_encode(['status' => 'error', 'message' => 'No se recibió ningún archivo']);
}
?>