<?php
session_start();

// Si no está logueado, redirige a index.php
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] !== true) {
    header("Location: index.php");
    exit;
} else {
    $username = $_SESSION['nombre'];
    $rol = isset($_SESSION['rol']) ? $_SESSION['rol'] : '';
}

include 'database/DBconnection.php';
?>
<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CYE - SISTEMA</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote-bs4.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/admin-lte@3.2/dist/css/adminlte.min.css">
    <script src="https://kit.fontawesome.com/707a6549dc.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sweetalert2@11/dist/sweetalert2.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/dataTables.bootstrap5.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote-bs4.min.css" rel="stylesheet">
    <link rel="stylesheet" href="css/style.css">
    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
</head>

<body>
    <div class="wrapper">
        <aside id="sidebar">
            <div class="d-flex">
                <button id="toggle-btn" type="button">
                    <i class="fa-solid fa-bars"></i>
                </button>

                <div class="sidebar-logo">
                    <a href="dashboard.php"></a>
                </div>
            </div>
            <ul class="sidebar-nav">
                <li class="sidebar-item">
                    <a href="dashboard.php" class="sidebar-link">
                        <i class="fa-solid fa-gauge-high"></i>
                        <span>Dashboard</span>
                    </a>
                </li>

                <li class="sidebar-item">
                    <a href="usuarios.php" class="sidebar-link">
                        <i class="fa-solid fa-users"></i>
                        <span>Usuarios</span>
                    </a>
                </li>
                
                <li class="sidebar-item">
                    <a href="banners.php" class="sidebar-link">
                        <i class="fa-solid fa-images"></i>
                        <span>Banners</span>
                    </a>
                </li>

                <li class="sidebar-item">
                    <a href="#" class="sidebar-link has-dropdown collapsed" data-bs-toggle="collapse" data-bs-target="#catalogoDropdown" aria-expanded="false" aria-controls="catalogoDropdown">
                        <i class="fa-solid fa-store"></i>
                        <span>Catálogo</span>
                    </a>
                    <ul id="catalogoDropdown" class="sidebar-dropdown list-unstyled collapse" data-bs-parent="#sidebar">
                        <li class="sidebar-item">
                            <a href="categorias.php" class="sidebar-link">
                                <i class="fa-solid fa-list"></i>
                               Categorías
                            </a>
                        </li>
                        <li class="sidebar-item">
                            <a href="subcategorias.php" class="sidebar-link">
                                <i class="fa-solid fa-tags"></i>
                               Subcategorías
                            </a>
                        </li>
                        <li class="sidebar-item">
                            <a href="productos.php" class="sidebar-link">
                                <i class="fa-solid fa-box"></i>
                               Productos
                            </a>
                        </li>
                    </ul>
                </li>

                <?php if ($rol === 'Administrador'): ?>
                <li class="sidebar-item">
                    <a href="#" class="sidebar-link has-dropdown collapsed" data-bs-toggle="collapse" data-bs-target="#configDropdown" aria-expanded="false" aria-controls="configDropdown">
                        <i class="fa-solid fa-gears"></i>
                        <span>Configuración</span>
                    </a>
                    <ul id="configDropdown" class="sidebar-dropdown list-unstyled collapse" data-bs-parent="#sidebar">
                        <li class="sidebar-item">
                            <a href="configuracion.php" class="sidebar-link">
                                <i class="fa-solid fa-wrench"></i>
                                <span>General</span>
                            </a>
                        </li>
                        <li class="sidebar-item">
                            <a href="respaldos.php" class="sidebar-link">
                                <i class="fa-solid fa-database"></i>
                                <span>Respaldos</span>
                            </a>
                        </li>
                    </ul>
                </li>
                <?php endif; ?>
            </ul>
            <div class="sidebar-footer">
                <a href="#" id="logoutLink" class="sidebar-link">
                    <i class="fa-solid fa-arrow-right-from-bracket fa-flip-horizontal"></i>
                    <span>Cerrar sesión</span>
                </a>
            </div>
        </aside>
        <div class="main">
            <nav class="navbar">
                <ul>
                    <li><a href="dashboard.php" style="color:#212529; font-size: 1.5rem; margin: 0 !important;">
                            <img src="img/cyeLogo.png" alt="CYE Logo" class="nav-logo">
                        </a></li>
                    <li><a href="#"></a></li>
                    <li><a href="#"></a></li>
                </ul>
            </nav>
            <div class="p-3 scrollable-content">